Get Custom Activity Types¶
GET /rest/v1/activities/external/types.json
Method: GET
Path: /rest/v1/activities/external/types.json
Tag: Activities
Operation ID: getCustomActivityTypeUsingGET
Returns metadata regarding custom activities provisioned in the target instance. Required Permissions: Read-Only Activity Metadata, Read-Write Activity Metadata
Formats¶
- Request:
application/json - Response:
application/json
Request¶
This operation does not define request parameters.
Example request¶
Responses¶
200 — OK¶
Schema: model: ResponseOfCustomActivityType
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"moreResult": false,
"nextPageToken": "example-token",
"requestId": "123",
"result": [
{
"apiName": "Example name",
"attributes": [
{
"apiName": "Example name",
"dataType": "string",
"description": "string",
"isPrimary": false,
"name": "Example name"
}
],
"createdAt": "string",
"description": "string",
"filterName": "Example name",
"id": 123,
"name": "Example name",
"primaryAttribute": {
"apiName": "Example name",
"dataType": "string",
"description": "string",
"isPrimary": false,
"name": "Example name"
},
"status": "draft",
"triggerName": "Example name",
"updatedAt": "string"
}
],
"success": false,
"warnings": [
{
"code": 123,
"message": "string"
}
]
}
Referenced models¶
Source¶
Generated from swagger-mapi.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.